# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Static Public Member Functions | List of all members
DBus::Threading< Mx, Cv > Struct Template Reference

`#include <dispatcher.h>`

## Static Public Member Functions

static void | init ()
static Mutex * | mutex_new ()
static bool | mutex_free (Mutex *mx)
static bool | mutex_lock (Mutex *mx)
static void | mutex_unlock (Mutex *mx)
static CondVar * | condvar_new ()
static void | condvar_free (CondVar *cv)
static void | condvar_wait (CondVar *cv, Mutex *mx)
static bool | condvar_wait_timeout (CondVar *cv, Mutex *mx, int timeout)
static void | condvar_wake_one (CondVar *cv)
static void | condvar_wake_all (CondVar *cv)

## Detailed Description

template<class Mx, class Cv>
struct DBus::Threading< Mx, Cv >

Definition at line 255 of file dispatcher.h.

## Member Function Documentation

## ◆ condvar_free()

template<class Mx, class Cv>

void DBus::Threading< Mx, Cv >::condvar_free | ( | CondVar * | cv | ) |

inline static

Definition at line 304 of file dispatcher.h.

Referenced by init().

## ◆ condvar_new()

template<class Mx, class Cv>

CondVar * DBus::Threading< Mx, Cv >::condvar_new | ( |  | ) |

inline static

Definition at line 299 of file dispatcher.h.

Referenced by init().

## ◆ condvar_wait()

template<class Mx, class Cv>

void DBus::Threading< Mx, Cv >::condvar_wait | ( | CondVar * | cv,
|  | Mutex * | mx )

inline static

Definition at line 309 of file dispatcher.h.

References DBus::CondVar::wait().

Referenced by init().

## ◆ condvar_wait_timeout()

template<class Mx, class Cv>

bool DBus::Threading< Mx, Cv >::condvar_wait_timeout | ( | CondVar * | cv,
|  | Mutex * | mx,
|  | int | timeout )

inline static

Definition at line 314 of file dispatcher.h.

References DBus::CondVar::wait_timeout().

Referenced by init().

## ◆ condvar_wake_all()

template<class Mx, class Cv>

void DBus::Threading< Mx, Cv >::condvar_wake_all | ( | CondVar * | cv | ) |

inline static

Definition at line 324 of file dispatcher.h.

References DBus::CondVar::wake_all().

Referenced by init().

## ◆ condvar_wake_one()

template<class Mx, class Cv>

void DBus::Threading< Mx, Cv >::condvar_wake_one | ( | CondVar * | cv | ) |

inline static

Definition at line 319 of file dispatcher.h.

References DBus::CondVar::wake_one().

Referenced by init().

## ◆ init()

template<class Mx, class Cv>

void DBus::Threading< Mx, Cv >::init | ( |  | ) |

inline static

Definition at line 257 of file dispatcher.h.

References DBus::_init_threading(), condvar_free(), condvar_new(), condvar_wait(), condvar_wait_timeout(), condvar_wake_all(), condvar_wake_one(), mutex_free(), mutex_lock(), mutex_new(), and mutex_unlock().

## ◆ mutex_free()

template<class Mx, class Cv>

bool DBus::Threading< Mx, Cv >::mutex_free | ( | Mutex * | mx | ) |

inline static

Definition at line 271 of file dispatcher.h.

Referenced by init().

## ◆ mutex_lock()

template<class Mx, class Cv>

bool DBus::Threading< Mx, Cv >::mutex_lock | ( | Mutex * | mx | ) |

inline static

Definition at line 277 of file dispatcher.h.

References DBus::Mutex::lock().

Referenced by init().

## ◆ mutex_new()

template<class Mx, class Cv>

Mutex * DBus::Threading< Mx, Cv >::mutex_new | ( |  | ) |

inline static

Definition at line 265 of file dispatcher.h.

Referenced by init().

## ◆ mutex_unlock()

template<class Mx, class Cv>

void DBus::Threading< Mx, Cv >::mutex_unlock | ( | Mutex * | mx | ) |

inline static

Definition at line 294 of file dispatcher.h.

References DBus::Mutex::unlock().

Referenced by init().

The documentation for this struct was generated from the following file:

- dispatcher.h